
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>缩小Doja程序的大小 / iVAN</title>

    <meta name="description" content="缩小Doja程序的大小 在Doja环境里,JAR文件和ScratchPad文件的的大小是有限制的,具体的限制如下表所示: 版本 JAR文件 大小(kbyte) ScratchPad文件 大小(kbyte) Doja 1.0 30 50 Doja 2.0 30 100 Doja 2.1 30 200 Doja 2.2 30 200 Doja 3.0 30 200 Doja 3.5 100 400 出于这种限制,下面我将一些常见压缩程序的方法介绍个大家. 1. 化你的资源文件 1.1. 缩小图片的大小 在jar文件里主要存">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">缩小Doja程序的大小</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在Doja环境里，JAR文件和ScratchPad文件的的大小是有限制的，具体的限制如下表所示：</p>
<table>
<tbody>
<tr>
<td>版本</td>
<td>JAR文件<br />
            大小（kbyte）</td>
<td>ScratchPad文件<br />
            大小（kbyte）</td>
</tr>
<tr>
<td>Doja 1.0</td>
<td>30</td>
<td>50</td>
</tr>
<tr>
<td>Doja 2.0</td>
<td>30</td>
<td>100</td>
</tr>
<tr>
<td>Doja 2.1</td>
<td>30</td>
<td>200</td>
</tr>
<tr>
<td>Doja 2.2</td>
<td>30</td>
<td>200</td>
</tr>
<tr>
<td>Doja 3.0</td>
<td>30</td>
<td>200</td>
</tr>
<tr>
<td>Doja 3.5</td>
<td>100</td>
<td>400</td>
</tr>
</tbody>
</table>
<p>出于这种限制，下面我将一些常见压缩程序的方法介绍个大家。</p>
<p>1. 化你的资源文件</p>
<p>1.1. 缩小图片的大小</p>
<p>在jar文件里主要存放了程序用到的资源文件（图片，声音，数据等文件）和经过编译后的class文件。很明显，最直接的方式就是通过减少使用的图片数量来减小jar文件的大小，另外我们还可以通过缩小单个图片的大小，减少图片的颜色数来减小jar文件的大小。</p>
<p>1.2. 在ScratchPad文件中存储资源文件</p>
<p>我们可以通过从网络上下载资源数据然后保存在ScratchPad文件中来代替将他们存储在jar文件中。然后我们就可以从ScratchPad文件中读取数据而不是使用资源文件直接读取了。</p>
<p>2. 优化类</p>
<p>2.1 减少类的数量</p>
<p>通过分析class文件，我们发现包名称，类名称，方法名称和变量名称全部是以字符串的形式保存。我们将保存这些数据的区域叫做常量池，并且这部分也是被类文件所共享的最频繁的区域。</p>
<p>例如以下程序：</p>
<p><code>import com.nttdocomo.ui.*;<br />
　　public class helloWorld extends IApplication<br />
　　{<br />
　　 public void start()<br />
　　 {<br />
　　 System.out.println("Start IApplication!");<br />
　　 }<br />
　　}</code></p>
<p>以下被选择的部分就为存放com.nttdocomo.ui.IApplication类的常量池：</p>
<p>2.2 缩短类名称</p>
<p>通过缩短类的名称，我们同样可以达到减少class文件大小的目的。</p>
<p>比较如下两个类的定义：</p>
<p><code>// class 1<br />
　　public class HelloWorld{<br />
　　public void start(){}<br />
　　}<br />
　　// class 2<br />
　　public class A {<br />
　　public void start(){}<br />
　　}</code></p>
<p>class A 必 class HelloWorld减少了18个字节。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 16:49:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e7%89%87/" title="图片">图片</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e5%b0%8f/" title="大小">大小</a>, <a href="https://www.iamivan.net/tag/%e8%b5%84%e6%ba%90/" title="资源">资源</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e7%89%87class/" title="图片class">图片class</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e5%a4%a7%e5%b0%8f/" title="文件大小">文件大小</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e7%9a%84%e5%a4%a7%e5%b0%8f/" title="类的大小">类的大小</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>缩小Doja程序的大小的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElNrJz.html" rel="bookmark">js实现缩小网页内所有图片大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript 遍历网页内的所有图片,根据图片的宽高按一定的比率缩小 javascript  缩小网页内所有图片大小的方法函数如下: */ &lt;script language=&quot;javascript&quot;&gt; function resetImg(){ for (i=0;i&lt;document.images.length;i++){     if (document.images[i].width&gt;600){        var oWidth=document.im			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8N3yNb.html" rel="bookmark">应用程序大小-android获取应用程序的大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android获取应用程序的大小 PackageStats packageStats= new PackageStats(getApplicationInfo().packageName); System.out.println(&quot;大小:cacheSize:&quot;+packageStats.cacheSize+&quot;,codeSize:&quot;+packageStats.codeSize+&quot;,dataSize:&quot;+packageStats.dataS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqD18Yb.html" rel="bookmark">用C语言程序判断大小端模式&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.大端模式,是指数据的低位保存在内存的高地址中,而数据的高位,保存在内存的低地址中:小端模式相反  2.为什么有大小端之分???  因为在计算机系统中,存储是以字节为单位的,每个地址单元都对应着一个字节,一个字节=8bit.在C语言中除了8bit的char之外,还有16bit的short型,32bit的long型(要看具体的编译器).对于位数大于8位的处理器,例如16位或者32位的处理器,由于寄存器宽度大于一个字节,如何安排多个字节的存储,这就有了大端存储模式和小端存储模式 3.各自的优势:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1By93p.html" rel="bookmark">图片太大怎么办&quest;缩小图片文件的大小？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.我们在系统中右击图片,然后在弹出菜单点击&quot;编辑&quot;然后我们点击选择系统自带的图片处理工具&quot;画图&quot;打开: 2.打开之后我们再在软件中点击&quot;文件&quot;---&quot;另存为&quot;如下图所示: 3.之后我们再点击&quot;另存为&quot;填写一个文件名字再点击&quot;保存&quot;. 这样在保存类型处我们可以选择合适的类型了,如jpg或gif了这样文件会变得更小一些的哦.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4WDjp.html" rel="bookmark">优化J2ME程序大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要把J2ME程序与J2SE程序区分开来,其依据就是J2ME运行所处的受限环境.多数J2ME系统的主要受限条件就是可以存储和运行程序所需内存的大小.例如,许多MIDP设备限制应用程序的尺寸不大于50K,这远远不及Server端J2SE运行环境下那些成兆的程序.实际应用中,程序会很容易超出这些限制条件.通过本篇您将学到一些减小程序尺寸大小的技巧,并在下面的例子中实践这些技术.这个例子MIDlet仅仅显示一个文本框并在其内容改变时发声. package com.j2medeveloper.techti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Rv48p.html" rel="bookmark">Doja版的helloword程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与其它所有java程序一样,每个Doja程序都需要有一个入口函数. 闲言少叙,还是先看程序吧: import com.nttdocomo.ui.*; import com.nttdocomo.io.*; public class HelloWorld extends IApplication // -- (1) { public HelloWorld() { System.out.println(&quot;Construct IApplication!&quot;); } public void sta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ZggVb.html" rel="bookmark">Win8系统查看应用程序大小的方法教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  通常情况下,用户想要查看某一个应用程序的大小,我们会通过右键程序图标,通过属性来查看应用程序所占系统磁盘大小,但是在很多用户想查看多个应用程序大小适要怎么办呢?其实在win8系统下是能够同时查看多个应用程序大小的,下面看小编小编为您带来的查看方法! Win8系统查看应用程序大小的方法教程 1.首先利用屏幕右边的Charm栏来到入&quot;更改电脑设置&quot;,在里面点击选择&quot;常规&quot;; 2.接着在&quot;常规&quot;里面找到&quot;可用存储&quot;选项,这时候就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNmZwM.html" rel="bookmark">Windows8下如何查看Metro应用程序大小以及安装位置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  操作步骤: Win8下,新增加的Metro应用程序默认只能安装在系统盘,会导致系统盘臃肿,且在&quot;控制面板&quot;--&quot;程序和功能&quot;中无法看到已安装的程序及其大小. 如何查看Metro应用程序大小: Win+C打开Charm(超级按钮),选择&quot;设置&quot;,选择右下角的&quot;更改电脑设置&quot;,选择&quot;常规&quot;,找到&quot;可用存储&quot;下的&quot;查看应用大小&quot;. 如何查看Metro应用程序安装位置:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwLB8kb.html" rel="bookmark">【HIMI转载推荐之一】如何优化COCOS2D&sol;X程序的内存使用和程序大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/iphone-cocos2d/1043.html 貌似从Himi建博以来,从来没出现转载过博文的说.但是从今天起,Himi将一些非常好.很值得推荐的博文进行转载分享!大家如果有好的文章,请将博文链接或者内容邮件给我,xiaominghimi@gmail.com   317426208@qq.com        首先感谢 子龙 兄弟对文章翻译			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNEmPb.html" rel="bookmark" class="title">office中怎么嵌入MathType</a>
					<div>
						  解决方法如下: 1.首先,安装Office和MathType软件,并且记住安装文件的路径.如果已经安装,则找到安装地址即可. 2.找到MathType安装地址下的MathPage和Office s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX0wWp.html" rel="bookmark" class="title">添加一个与root相同权限的用户</a>
					<div>
						如果希望添加一个拥有root权限的账号test,可参考以下步骤进行,当然,以下的步骤必须有root权限才能运行: Step1 添加一个一般的用户test. useradd -m test Step2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBRYab.html" rel="bookmark" class="title">十一、JSP及语法概要</a>
					<div>
						js|语法     11.1 概述 JavaServer Pages(JSP)使得我们能够分离页面的静态HTML和动态部分.HTML可以用任何通常使用的Web制作工具编写,编写方式也和原来的一样:动态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwPymb.html" rel="bookmark" class="title">Photoshop给树林草地上的美女加上唯美晨曦色</a>
					<div>
						素材图片光影控制的不错,只是高光还不够明显,调色的时候可以手工渲染一块高光区域,然后把主色转为暖色,暗部增加一点冷色即可. 原图 最终效果 [1] [2] [3] [4] [5] [6]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpno2rz.html" rel="bookmark" class="title">不同unix下查看cpu&comma;ram数量</a>
					<div>
						unix 显示cpu数量 hp-unix ioscan -C processor | grep processor | wc -l Solais psrinfo -v | grep &quot;Sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOrJqp.html" rel="bookmark" class="title">flash网游开发日志</a>
					<div>
						本文是本人学习flash网络应用的过程,源码.说明陆续推出:先做一下自我介绍,为想学的朋友好上手:Flash 2004 MX学习了45天,包含AS语法在内:Flash Communication学习了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnlGZb.html" rel="bookmark" class="title">FlexGrid控件的使用（一）</a>
					<div>
						Hierarchical FlexGrid与分层结构的Recordset将Hierarchical FlexGrid和一个分层结构的Recordset结合起来可以查看关系类型的信息.在将这些信息显示给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW11rrz.html" rel="bookmark" class="title">BlogEngine&period;Net架构与源代码分析系列part12：页面共同的基类</a>
					<div>
						BlogBasePage 上一篇文章我向大家展示了BlogEngine.Net中Theme的原理和一些开发规范,里面有很多内容和这篇文章有着联系,建议大家这两篇文章结合在一起看,这样效果会更好.在这篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wYd8p.html" rel="bookmark" class="title">OneNote 2013新增功能</a>
					<div>
						OneNote 是一个数字笔记本,用于创建和存储您的所有笔记.笔记将自动保存并可供搜索,因此,当需要时您始终能找到它 们.当您外出时,它们也与您形影不离,您只需使用喜爱的设备或几乎任何浏览器即可访问. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAX86b.html" rel="bookmark" class="title">afio让Linux也&OpenCurlyDoubleQuote;Ghost&rdquo;</a>
					<div>
						为降低TCO,很多中.小企业都把低端的.单一的基础服务器应用放到了Linux系统上.比如,DNS和DHCP服务器.Web服务器.目录服务器.文件和打印服务器.Intranet代理服务器.中小型数据库服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPkPQz.html" rel="bookmark" class="title">Silverlight开发实践--Get Data By WCF</a>
					<div>
						实际的开发中,我们会经常的和数据库打交道.今天给大家带来的就是在silverlight中通过WCF同数据库进行交互.本人是菜鸟,高手见笑. 具体的代码我就不贴出来了,主要说说制作中遇到的困难和大家值得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP9R7M.html" rel="bookmark" class="title">Photoshop制作个性的红色金属纹理字</a>
					<div>
						教程的文字效果不是用单一的图层来完成.作者用到了4个相同的文字图层,分别加上不同的图层样式,再把填充度改为0%后,多层叠加得到不错的文字效果. 最终效果 1.新建文档550x330像素,背景黑色,输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwygdp.html" rel="bookmark" class="title">实现路由器实现无线化有可能吗</a>
					<div>
						  看到满房间像蜘蛛网一样滴網线横七竖八滴烦恼?能让路由器实现无线化?WiFi正式向7Gbps流媒体无线传输宣战了.亲们.我们将会告别满房间網线滴日子 接下来滴年半中.将看到WiFi(将个人电脑.手持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1JXJb.html" rel="bookmark" class="title">360压缩解压文件</a>
					<div>
						  360压缩为您提供了两种解压文件的方式 您可以选择右击需要解压的文件,在右键菜单中选择解压. 也可以找到希望解压的压缩文件,点击选中后,点击软件主界面左上第二个[解压到]图标 并在新弹出的窗口中设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad4Vnz.html" rel="bookmark" class="title">怎么把百度实物翻译结果分享到朋友圈？</a>
					<div>
						  第一步: 打开&quot;手机百度翻译&quot;软件,点击翻译框下的&quot;拍照&quot;按钮.进入拍照翻译界面.在拍照界面中,我们点击右下角的&quot;实物翻译&quot;. 第二步: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z07Vb.html" rel="bookmark" class="title">Win8系统下摄像头无法使用的解决方法</a>
					<div>
						摄像头是当今电脑硬件中重要的一部分,尤其在聊天应用中更是不可缺少.一部分使用Win8的用户遇到过摄像头无法使用的问题,这是什么原因导致的?又有何应对招数呢? 摄像头不能用的原因 导致摄像头不能用的很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EZYvM.html" rel="bookmark" class="title">sqlite数据库-请问怎么用sqlite读取内存中的数据库？</a>
					<div>
						问题描述 请问怎么用sqlite读取内存中的数据库? 我想把sqlite数据库包含到c#项目中,然后用的时候只读,,请问怎么用sqlite读取内存中的数据库? 解决方案 内存中数据库是什么?memca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjdn5p.html" rel="bookmark" class="title">ios闹钟程序-iOS闹钟程序实现的过程</a>
					<div>
						问题描述 iOS闹钟程序实现的过程 求iOS闹钟程序实现的过程,不要是早几年的,新版本的,感激不尽,非常感谢 解决方案 http://download.csdn.net/detail/u0125245 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam0JNb.html" rel="bookmark" class="title">本周聚划算&vert; 避免上班5分钟被开除 直降2000元企业办公实用利器一站全掌握</a>
					<div>
						推荐1:袋鼠云Oracle部署服务  抢限量7折优惠券,享云上oracle独家解决方案 产品亮点  提供基于阿里云ECS的Oracle(DG/HA/RAC)集群部署服务.包括云资源架构,性能评估及初始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxO5Wb.html" rel="bookmark" class="title">JQuery验证工具</a>
					<div>
						一.写法一 var Validator = { // 邮箱isEmail : function(s) {var p = &quot;^[-!#$%&amp;\'*+\\./0-9=?A-Z^_`a-z ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NyXmz.html" rel="bookmark" class="title">MultiDex工作原理分析和优化方案</a>
					<div>
						动态加载技术(插件化)系列已经坑了有一段时间了,不过UP主我并没有放弃治疗哈,相信在不就的未来就可以看到&quot;系统Api Hook模式&quot;和插件化框架Frontia的更新了.今天要讲的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjO0Zp.html" rel="bookmark" class="title">苹果股票评级遭投行罕见下调 新产品已推不动股价上涨</a>
					<div>
						据外电报道,尽管苹果在周一的全球开发者大会(WWDC)中发布了包括智能音箱HomePod在内的一系列新硬件产品和iOS 11等软件和服务,但由于一位投行分析师罕见的下调该公司股票评级,导致该公司股价见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWyBdz.html" rel="bookmark" class="title">Android开发之SurfaceView</a>
					<div>
						如果做游戏或者视频相关开发的时候,将会用到SurfaceView.对于SurfaceView,首先需要了解一下它自己的位置: extends View java.lang.Object android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R6oJz.html" rel="bookmark" class="title">class-怎么查看windows已经注册好的窗口类？</a>
					<div>
						问题描述 怎么查看windows已经注册好的窗口类? 想使用windows已经注册好的窗口类,但不知道有哪些,也不知道名字.怎么才可以显示出来呢? 解决方案 VC++中为什么要注册窗口类注册窗口类注册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwJxVM.html" rel="bookmark" class="title">如何使托盘图标在右下角固定住？【急急急，不解决老板要发飙了】</a>
					<div>
						问题描述 当最小化程序到托盘后,点击托盘图标,图标总是要自动隐藏到旁边的小三角形里面去.那么问题来了,在代码中如何让这个图标固定住,不让他改变位置?就像QQ图标一样在右下角永远都在同一个位置不会乱跳动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5JwLp.html" rel="bookmark" class="title">WinForm打包的问题</a>
					<div>
						问题描述 我开发的程序怎样把.netFramWork也打包一起呢?各位谁这样做过,请告知! 解决方案 解决方案二:建立安装部署工程,加入相应的文件,再在项目属性里页有个系统必备,可以选择从网上下载.n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5ay7p.html" rel="bookmark" class="title">freerdp windows-freerdp代码在windows下的编译XP系统不适用</a>
					<div>
						问题描述 freerdp代码在windows下的编译XP系统不适用 我在freerdp下载了源码,用cmake生成了VS2010的代码,经过编译成功后,生成的wfreerdp.exe在win7 win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw8J6M.html" rel="bookmark" class="title">朗科首款按键加密盘K390 普及全民信息安全时代</a>
					<div>
						马年开春之际,在移动存储领域,什么是今年 最值得期待的产品?当然是朗科耗资百万研发的加密产品--按键加密移动硬盘K390.早在蛇年年末,各大门户网站早已争相报道透露朗科即将推出 一款超强加密移动硬盘, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLP6jM.html" rel="bookmark" class="title">对Java的面对对象编程中对象和引用以及内部类的理解&lowbar;java</a>
					<div>
						最近利用下班的时候看了看的think in java感觉再看 和第一次看大不一样 接下来说一下java中对象和引用的关系,以及内部类的概念.1.java中一切都是对象 在java中是什么来操作者对象呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWJNxz.html" rel="bookmark" class="title">《iOS应用开发指南&mdash;&mdash;使用HTML5、CSS3和JavaScript》&mdash;&mdash;2&period;1节取得苹果公司开发者ID</a>
					<div>
						2.1 取得苹果公司开发者IDiOS应用开发指南--使用HTML5.CSS3和JavaScript为了安装Xcode,需要下载iOS SDK(以前叫做iPhone SDK,2010年7月改名了).但是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
